# Add Group Appointment Member

Endpoint: POST /group_appointment/{appointment_id}/add_group_member
Version: v1
Security: x-api-key, a-api-key

## Path parameters:

  - `appointment_id` (integer, required)

## Request fields (application/json):

  - `client_id` (integer, required)

  - `account_id` (integer)

  - `appointment_status_id` (integer)

  - `item_id` (integer)

  - `item_group_id` (integer)

  - `notes` (string)

  - `sms_reminder` (boolean)

  - `email_reminder` (boolean)

  - `sms_confirmation` (boolean)

  - `email_confirmation` (boolean)

  - `sms_follow_up` (boolean)

  - `email_follow_up` (boolean)

## Response 201 fields (application/json):

  - `links` (object)

  - `links.self` (string)
    Example: https://api.pracsuite.com/v1/appointment_client/1

  - `tenant_id` (integer)

  - `appointment_client_id` (integer)

  - `client_id` (integer)

  - `appointment_id` (integer)

  - `appointment_status_id` (integer)

  - `notes` (string)

  - `item_id` (integer)

  - `created` (string)
    RFC 3339 UTC date-time (Z) with microsecond precision.
    Example: 2020-09-12T11:09:42.687393Z

  - `modified` (string)
    RFC 3339 UTC date-time (Z) with microsecond precision.
    Example: 2020-09-12T11:09:42.687393Z

  - `item_group_id` (integer)

## Response 401 fields (application/json):

  - `error` (object, required)

  - `error.status` (integer)
    Example: 403

  - `error.code` (string)
    Example: UNAUTHORIZED

  - `error.detail` (string)
    Human readable explanation of the error
    Example: Access could not be verified for this request.

  - `request_id` (string, required)
    Example: 00000000-0000-0000-0000-000000000000

## Response 403 fields (application/json):

  - `error` (object, required)

  - `error.status` (integer)
    Example: 403

  - `error.code` (string)
    Example: MISSING_AUTHENTICATION_TOKEN

  - `error.detail` (string)
    Human readable explanation of the error
    Example: Authentication token is missing or the requested endpoint does not exist

  - `request_id` (string, required)
    Example: 00000000-0000-0000-0000-000000000000

## Response 404 fields (application/json):

  - `error` (object, required)

  - `error.status` (integer)
    Example: 404

  - `error.code` (string)
    Example: NOT_FOUND

  - `error.detail` (string)
    Human readable explanation of the error
    Example: Could not find {Resource} with ID {ID_HERE}

  - `request_id` (string)
    Example: 00000000-0000-0000-0000-000000000000

## Response 422 fields (application/json):

  - `error` (object, required)

  - `error.status` (integer)
    Example: 422

  - `error.code` (string)
    Example: INVALID_BODY

  - `error.detail` (string)
    Human readable explanation of the error
    Example: There are some issues with the request body.

  - `error.validation` (array)
    List of validation errors for specific fields

  - `error.validation.field` (string)
    Example: surname

  - `error.validation.message` (string)
    Example: The surname field is required.

  - `request_id` (string, required)
    Example: 00000000-0000-0000-0000-000000000000

## Response 500 fields (application/json):

  - `error` (object, required)

  - `error.status` (integer)
    Example: 500

  - `error.code` (string)
    Example: SERVER_ERROR

  - `error.detail` (string)
    Human readable explanation of the error
    Example: An unexpected error occurred while processing your request. Please try again in a few minutes. If it keeps happening, contact support with Request ID: 00000000-0000-0000-0000-000000000000.

  - `request_id` (string, required)
    Example: 00000000-0000-0000-0000-000000000000

